=== modified file 'NEWS'
--- NEWS	2009-05-21 20:26:23 +0000
+++ NEWS	2009-05-27 09:19:42 +0000
@@ -21,6 +21,8 @@
   * Support storing credentials in the GNOME Keyring if it is 
     available. (Jelmer Vernooij)
 
+  * Fix opening Status window in Olive (#316310)
+
 0.95.0	2008-08-04
 
  UI

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2009-05-04 20:06:58 +0000
+++ olive/__init__.py	2009-05-27 09:19:42 +0000
@@ -559,11 +559,9 @@
     
     def on_menuitem_branch_status_activate(self, widget):
         """ Branch/Status... menu handler. """
-        from bzrlib.plugins.gtk.status import StatusDialog
-        status = StatusDialog(self.wt, self.wtpath)
-        response = status.run()
-        if response != gtk.RESPONSE_NONE:
-            status.destroy()
+        from bzrlib.plugins.gtk.status import StatusWindow
+        status = StatusWindow(self.wt, self.wtpath)
+        status.show()
     
     def on_menuitem_branch_initialize_activate(self, widget):
         """ Initialize current directory. """

